Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 20 Jul 2021 18:34:06 +0000

Hi Sohaib Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Waiting for so many days for the return to be collected but no one came yet!!! Its taking too long! And why does the courier go to old adress even though it was changed long ago!!!! I need my refund and I cant get it unless these items are taken back!!! I lost the chance of buying other discounted items because of this unreasonable delay!! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2881330